Metaproperty options

Metaproperty options

1.0OAS 3.1
API Base URL
  • Server 1:https://{your-bynder-domain}/
Security
OAuth2 (oauth2)

Authorization Code OAuth Flow

Authorize URL: https://{your-auth-url}

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • METAMANAGEMENT -
  • METAPROPERTYMANAGEMENT -

Client Credentials OAuth Flow

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • METAMANAGEMENT -
  • METAPROPERTYMANAGEMENT -
permanentToken (apiKey)

An API key is a token that you provide when making API calls. Include the token in a header parameter called Authorization.

Example: Authorization: 123

Options - New API (Preferred)

Retrieve options for a metaproperty

Retrieve options for a metaproperty.

get
https://{your-bynder-domain}/api/1/taxonomy/metaproperties/{metapropertyId}/options

Query Parameters

startstring
beforestring
limitinteger(int32)

Default:20

>= 1<= 1000

externalReferencestring

Default:

idsarray[string](uuid)

Path Parameters

metapropertyIdstring(uuid)required

Response

application/json

ListOptionsOutput

metadataobjectrequired
Show Child Parameters
optionsarray[object]
Show Child Parameters
get/api/1/taxonomy/metaproperties/{metapropertyId}/options
 
application/json

Create option

Create a new option.

Note: when the name you provide differs from the option’s label, Bynder automatically assigns that name value as the option’s externalReference. Explicitly setting externalReference to null or an empty string does not prevent this. To store a specific external reference, pass the desired value in the externalReference field.

post
https://{your-bynder-domain}/api/1/taxonomy/metaproperties/{metapropertyId}/options

Path Parameters

metapropertyIdstring(uuid)required

Body

application/json

MetapropertyOptionInput

definitionstring
externalReferencestring
iconstring
namestringrequired

Response

application/json

ExistingOptionStreamOutput

definitionstring
iconstringrequired
idstring(uuid)required
namestringrequired
statusstringrequired
post/api/1/taxonomy/metaproperties/{metapropertyId}/options

Body

{ "name": "name" }
 
application/json

Delete option

Delete an option by id

delete
https://{your-bynder-domain}/api/1/taxonomy/metaproperties/{metapropertyId}/options/{optionId}

Path Parameters

metapropertyIdstring(uuid)required
optionIdstring(uuid)required

Response

application/json

OptionDeletedOutput

messagestringrequired
delete/api/1/taxonomy/metaproperties/{metapropertyId}/options/{optionId}
 
application/json